<?xml version="1.0" encoding="UTF-8"?>
<GenRun Id="impl_1" LaunchPart="xc7a35tcpg236-1" LaunchTime="1581523620">
  <File Type="WBT-USG" Name="usage_statistics_webtalk.html"/>
  <File Type="BITSTR-SYSDEF" Name="adder_top.sysdef"/>
  <File Type="BITSTR-LTX" Name="debug_nets.ltx"/>
  <File Type="BITSTR-LTX" Name="adder_top.ltx"/>
  <File Type="BG-BGN" Name="adder_top.bgn"/>
  <File Type="RBD_FILE" Name="adder_top.rbd"/>
  <File Type="BG-DRC" Name="adder_top.drc"/>
  <File Type="NPI_FILE" Name="adder_top.npi"/>
  <File Type="RNPI_FILE" Name="adder_top.rnpi"/>
  <File Type="CFI_FILE" Name="adder_top.cfi"/>
  <File Type="PDI-FILE" Name="adder_top.pdi"/>
  <File Type="BITSTR-MMI" Name="adder_top.mmi"/>
  <File Type="BITSTR-BMM" Name="adder_top_bd.bmm"/>
  <File Type="BITSTR-NKY" Name="adder_top.nky"/>
  <File Type="BITSTR-RBT" Name="adder_top.rbt"/>
  <File Type="BITSTR-MSK" Name="adder_top.msk"/>
  <File Type="BG-BIN" Name="adder_top.bin"/>
  <File Type="RCFI_FILE" Name="adder_top.rcfi"/>
  <File Type="BG-BIT" Name="adder_top.bit"/>
  <File Type="POSTROUTE-PHYSOPT-BUS-SKEW-RPX" Name="adder_top_bus_skew_postroute_physopted.rpx"/>
  <File Type="POSTROUTE-PHYSOPT-BUS-SKEW-PB" Name="adder_top_bus_skew_postroute_physopted.pb"/>
  <File Type="POSTROUTE-PHYSOPT-BUS-SKEW" Name="adder_top_bus_skew_postroute_physopted.rpt"/>
  <File Type="RDI-RDI" Name="adder_top.vdi"/>
  <File Type="POSTROUTE-PHYSOPT-TIMING-RPX" Name="adder_top_timing_summary_postroute_physopted.rpx"/>
  <File Type="POSTROUTE-PHYSOPT-TIMING-PB" Name="adder_top_timing_summary_postroute_physopted.pb"/>
  <File Type="POSTROUTE-PHYSOPT-TIMING" Name="adder_top_timing_summary_postroute_physopted.rpt"/>
  <File Type="POSTROUTE-PHYSOPT-BLACKBOX-DCP" Name="adder_top_postroute_physopt_bb.dcp"/>
  <File Type="POSTROUTE-PHYSOPT-DCP" Name="adder_top_postroute_physopt.dcp"/>
  <File Type="ROUTE-BUS-SKEW" Name="adder_top_bus_skew_routed.rpt"/>
  <File Type="ROUTE-CLK" Name="adder_top_clock_utilization_routed.rpt"/>
  <File Type="ROUTE-SIMILARITY" Name="adder_top_incremental_reuse_routed.rpt"/>
  <File Type="ROUTE-TIMING-RPX" Name="adder_top_timing_summary_routed.rpx"/>
  <File Type="ROUTE-TIMING-PB" Name="adder_top_timing_summary_routed.pb"/>
  <File Type="ROUTE-TIMINGSUMMARY" Name="adder_top_timing_summary_routed.rpt"/>
  <File Type="ROUTE-STATUS-PB" Name="adder_top_route_status.pb"/>
  <File Type="ROUTE-STATUS" Name="adder_top_route_status.rpt"/>
  <File Type="ROUTE-PWR-RPX" Name="adder_top_power_routed.rpx"/>
  <File Type="ROUTE-PWR-SUM" Name="adder_top_power_summary_routed.pb"/>
  <File Type="ROUTE-PWR" Name="adder_top_power_routed.rpt"/>
  <File Type="ROUTE-METHODOLOGY-DRC-PB" Name="adder_top_methodology_drc_routed.pb"/>
  <File Type="ROUTE-METHODOLOGY-DRC-RPX" Name="adder_top_methodology_drc_routed.rpx"/>
  <File Type="ROUTE-METHODOLOGY-DRC" Name="adder_top_methodology_drc_routed.rpt"/>
  <File Type="ROUTE-DRC-RPX" Name="adder_top_drc_routed.rpx"/>
  <File Type="ROUTE-DRC-PB" Name="adder_top_drc_routed.pb"/>
  <File Type="ROUTE-DRC" Name="adder_top_drc_routed.rpt"/>
  <File Type="ROUTE-BLACKBOX-DCP" Name="adder_top_routed_bb.dcp"/>
  <File Type="ROUTE-DCP" Name="adder_top_routed.dcp"/>
  <File Type="ROUTE-ERROR-DCP" Name="adder_top_routed_error.dcp"/>
  <File Type="PHYSOPT-TIMING" Name="adder_top_timing_summary_physopted.rpt"/>
  <File Type="PHYSOPT-DRC" Name="adder_top_drc_physopted.rpt"/>
  <File Type="PHYSOPT-DCP" Name="adder_top_physopt.dcp"/>
  <File Type="POSTPLACE-PWROPT-TIMING" Name="adder_top_timing_summary_postplace_pwropted.rpt"/>
  <File Type="POSTPLACE-PWROPT-DCP" Name="adder_top_postplace_pwropt.dcp"/>
  <File Type="PLACE-TIMING" Name="adder_top_timing_summary_placed.rpt"/>
  <File Type="PLACE-PRE-SIMILARITY" Name="adder_top_incremental_reuse_pre_placed.rpt"/>
  <File Type="PLACE-SIMILARITY" Name="adder_top_incremental_reuse_placed.rpt"/>
  <File Type="PLACE-CTRL" Name="adder_top_control_sets_placed.rpt"/>
  <File Type="PLACE-UTIL-PB" Name="adder_top_utilization_placed.pb"/>
  <File Type="PLACE-UTIL" Name="adder_top_utilization_placed.rpt"/>
  <File Type="PLACE-CLK" Name="adder_top_clock_utilization_placed.rpt"/>
  <File Type="PLACE-IO" Name="adder_top_io_placed.rpt"/>
  <File Type="PLACE-DCP" Name="adder_top_placed.dcp"/>
  <File Type="PWROPT-TIMING" Name="adder_top_timing_summary_pwropted.rpt"/>
  <File Type="PWROPT-DRC" Name="adder_top_drc_pwropted.rpt"/>
  <File Type="PWROPT-DCP" Name="adder_top_pwropt.dcp"/>
  <File Type="OPT-TIMING" Name="adder_top_timing_summary_opted.rpt"/>
  <File Type="OPT-HWDEF" Name="adder_top.hwdef"/>
  <File Type="OPT-METHODOLOGY-DRC" Name="adder_top_methodology_drc_opted.rpt"/>
  <File Type="OPT-DRC" Name="adder_top_drc_opted.rpt"/>
  <File Type="OPT-DCP" Name="adder_top_opt.dcp"/>
  <File Type="INIT-TIMING" Name="adder_top_timing_summary_init.rpt"/>
  <File Type="ROUTE-BUS-SKEW-RPX" Name="adder_top_bus_skew_routed.rpx"/>
  <File Type="REPORTS-TCL" Name="adder_top_reports.tcl"/>
  <File Type="ROUTE-BUS-SKEW-PB" Name="adder_top_bus_skew_routed.pb"/>
  <File Type="PA-TCL" Name="adder_top.tcl"/>
  <FileSet Name="sources" Type="DesignSrcs" RelSrcDir="$PSRCDIR/sources_1">
    <Filter Type="Srcs"/>
    <File Path="$PSRCDIR/sources_1/imports/sources_1/imports/TP3/adder/adder.vhd">
      <FileInfo>
        <Attr Name="ImportPath" Val="$PPRDIR/TP3.srcs/sources_1/imports/TP3/adder/adder.vhd"/>
        <Attr Name="ImportTime" Val="1579885642"/>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PSRCDIR/sources_1/imports/sources_1/imports/TP3/hex7seq/hex7seg.vhd">
      <FileInfo>
        <Attr Name="ImportPath" Val="$PPRDIR/TP3.srcs/sources_1/imports/TP3/hex7seq/hex7seg.vhd"/>
        <Attr Name="ImportTime" Val="1579877407"/>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PSRCDIR/sources_1/imports/sources_1/new/adder_top.vhd">
      <FileInfo>
        <Attr Name="ImportPath" Val="$PPRDIR/TP3.srcs/sources_1/new/adder_top.vhd"/>
        <Attr Name="ImportTime" Val="1579884587"/>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PSRCDIR/sources_1/imports/sources_1/imports/TP3/hex7seq/hex7seg_top.vhd">
      <FileInfo>
        <Attr Name="AutoDisabled" Val="1"/>
        <Attr Name="ImportPath" Val="$PPRDIR/TP3.srcs/sources_1/imports/TP3/hex7seq/hex7seg_top.vhd"/>
        <Attr Name="ImportTime" Val="1579876959"/>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PSRCDIR/sources_1/imports/sources_1/new/TP3_TestBench.vhd">
      <FileInfo>
        <Attr Name="AutoDisabled" Val="1"/>
        <Attr Name="ImportPath" Val="$PPRDIR/TP3.srcs/sources_1/new/TP3_TestBench.vhd"/>
        <Attr Name="ImportTime" Val="1579885062"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PSRCDIR/sources_1/imports/sources_1/imports/TP3/hex7seq/tp2_tb.vhd">
      <FileInfo>
        <Attr Name="AutoDisabled" Val="1"/>
        <Attr Name="ImportPath" Val="$PPRDIR/TP3.srcs/sources_1/imports/TP3/hex7seq/tp2_tb.vhd"/>
        <Attr Name="ImportTime" Val="1579193198"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PSRCDIR/sources_1/imports/sources_1/imports/TP3/adder/adder_tb.vhd">
      <FileInfo>
        <Attr Name="AutoDisabled" Val="1"/>
        <Attr Name="ImportPath" Val="$PPRDIR/TP3.srcs/sources_1/imports/TP3/adder/adder_tb.vhd"/>
        <Attr Name="ImportTime" Val="1579875843"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <Config>
      <Option Name="DesignMode" Val="RTL"/>
      <Option Name="TopModule" Val="adder_top"/>
      <Option Name="TopAutoSet" Val="TRUE"/>
    </Config>
  </FileSet>
  <FileSet Name="constrs_in" Type="Constrs" RelSrcDir="$PSRCDIR/constrs_1">
    <Filter Type="Constrs"/>
    <File Path="$PSRCDIR/constrs_1/imports/TP3/Basys3_Master.xdc">
      <FileInfo>
        <Attr Name="ImportPath" Val="$PPRDIR/TP3.srcs/constrs_1/imports/TP3/Basys3_Master.xdc"/>
        <Attr Name="ImportTime" Val="1579884677"/>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
      </FileInfo>
    </File>
    <Config>
      <Option Name="ConstrsType" Val="XDC"/>
    </Config>
  </FileSet>
  <FileSet Name="utils" Type="Utils" RelSrcDir="$PSRCDIR/utils_1">
    <Filter Type="Utils"/>
    <Config>
      <Option Name="TopAutoSet" Val="TRUE"/>
    </Config>
  </FileSet>
  <Strategy Version="1" Minor="2">
    <StratHandle Name="Vivado Implementation Defaults" Flow="Vivado Implementation 2019"/>
    <Step Id="init_design"/>
    <Step Id="opt_design"/>
    <Step Id="power_opt_design"/>
    <Step Id="place_design"/>
    <Step Id="post_place_power_opt_design"/>
    <Step Id="phys_opt_design" EnableStepBool="1"/>
    <Step Id="route_design"/>
    <Step Id="post_route_phys_opt_design"/>
    <Step Id="write_bitstream"/>
  </Strategy>
</GenRun>
